PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Structures | Macros | Functions
impl-factory.h File Reference
Implementation API » Factory Impl

`pipewire/impl-factory.h` More...

Go to the source code of this file.

## Data Structures
struct | pw_impl_factory_events
| Factory events, listen to them with pw_impl_factory_add_listener. More...
struct | pw_impl_factory_implementation

## Macros
#define | PW_VERSION_IMPL_FACTORY_EVENTS 0
#define | PW_VERSION_IMPL_FACTORY_IMPLEMENTATION 0

## Functions
struct pw_impl_factory * | pw_context_create_factory (struct pw_context *context, const char *name, const char *type, uint32_t version, struct pw_properties *properties, size_t user_data_size)
const struct pw_properties * | pw_impl_factory_get_properties (struct pw_impl_factory *factory)
| Get the factory properties.
const struct pw_factory_info * | pw_impl_factory_get_info (struct pw_impl_factory *factory)
| Get the factory info.
int | pw_impl_factory_update_properties (struct pw_impl_factory *factory, const struct spa_dict *dict)
| Update the factory properties.
int | pw_impl_factory_register (struct pw_impl_factory *factory, struct pw_properties *properties)
void | pw_impl_factory_destroy (struct pw_impl_factory *factory)
void * | pw_impl_factory_get_user_data (struct pw_impl_factory *factory)
struct pw_global * | pw_impl_factory_get_global (struct pw_impl_factory *factory)
| Get the global of this factory.
void | pw_impl_factory_add_listener (struct pw_impl_factory *factory, struct spa_hook *listener, const struct pw_impl_factory_events *events, void *data)
| Add an event listener.
void | pw_impl_factory_set_implementation (struct pw_impl_factory *factory, const struct pw_impl_factory_implementation *implementation, void *data)
void * | pw_impl_factory_create_object (struct pw_impl_factory *factory, struct pw_resource *resource, const char *type, uint32_t version, struct pw_properties *properties, uint32_t new_id)
struct pw_impl_factory * | pw_context_find_factory (struct pw_context *context, const char *name)
| Find a factory by name.

## Detailed Description

`pipewire/impl-factory.h`